Tryton - Issues

 

Issue7322

Title Opening Lines To Pay Menu resulted in crash
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot, wuf31
Type crash Components account_payment
Assigned To ced Keywords review
Reviews 42091002
View: 42091002

Created on 2018-04-06.10:33:17 by wuf31, last changed by roundup-bot.

Messages
New changeset b768c57549fd by C├ędric Krier in branch 'default':
Add payment_blocked to move_line_list
http://hg.tryton.org/modules/account_payment/rev/b768c57549fd
review42091002 updated at https://codereview.tryton.org/42091002/#ps1
msg40178 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-04-16.22:36:28
Indeed it was issue6389 who removed it.
msg40177 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-04-16.22:35:04
The problem was introduced by issue5889
msg40176 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-04-16.22:34:15
It must be fixed by review42091002
msg39835 (view) Author: [hidden] (wuf31) Date: 2018-04-06.10:33:16
On Tryton tip, Trytond tip, Windows 7

Traceback (most recent call last):
  File "C:/Code/Python/tryton/tryton/gui/window/view_form/view/list.py", line 994, in __sig_switch
    if not self.screen.row_activate() and self.children_field:
  File "C:/Code/Python/tryton/tryton/gui/main.py", line 960, in menu_row_activate
    }, context=screen.context.copy(), warning=False)
  File "C:/Code/Python/tryton/tryton/action/main.py", line 194, in exec_keyword
    Action._exec_action(action, data, context=context)
  File "C:/Code/Python/tryton/tryton/action/main.py", line 154, in _exec_action
    context_domain=action['context_domain'])
  File "C:/Code/Python/tryton/tryton/gui/window/window.py", line 26, in create
    win = Form(model, **attributes)
  File "C:/Code/Python/tryton/tryton/gui/window/form.py", line 68, in __init__
    self.screen.search_filter()
  File "C:/Code/Python/tryton/tryton/gui/window/view_form/screen/screen.py", line 254, in search_filter
    domain = self.search_domain(search_string, True)
  File "C:/Code/Python/tryton/tryton/gui/window/view_form/screen/screen.py", line 303, in search_domain
    self.domain_parser.string(domain))
  File "C:/Code/Python/tryton/tryton/common/domain_parser.py", line 993, in string
    return nary.join(string_(clause) for clause in domain)
  File "C:/Code/Python/tryton/tryton/common/domain_parser.py", line 993, in <genexpr>
    return nary.join(string_(clause) for clause in domain)
  File "C:/Code/Python/tryton/tryton/common/domain_parser.py", line 941, in string_
    escaped = value.replace('%%', '__')
AttributeError: 'bool' object has no attribute 'replace'
History
Date User Action Args
2018-04-18 10:17:10roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg40207
2018-04-16 23:05:07reviewbotsetnosy: + reviewbot
messages: + msg40179
2018-04-16 22:36:38cedsetcomponent: + account_payment, - tryton
2018-04-16 22:36:28cedsetmessages: + msg40178
2018-04-16 22:35:04cedsetmessages: + msg40177
2018-04-16 22:34:15cedsetstatus: unread -> testing
keyword: + review
nosy: + ced
messages: + msg40176
reviews: 42091002
assignedto: ced
2018-04-06 10:33:17wuf31create

Showing 10 items. Show all history (warning: this could be VERY long)